_Evas_Cache_Image_Func Struct Reference

## Data Fields

Image_Entry *(* | alloc )(void)
void(* | dealloc )(Image_Entry *im)
int(* | surface_alloc )(Image_Entry *im, unsigned int w, unsigned int h)
void(* | surface_delete )(Image_Entry *im)
DATA32 *(* | surface_pixels )(Image_Entry *im)
int(* | constructor )(Image_Entry *im)
| return is EVAS_LOAD_ERROR_* or EVAS_LOAD_ERROR_NONE!
void(* | destructor )(Image_Entry *im)
void(* | dirty_region )(Image_Entry *im, unsigned int x, unsigned int y, unsigned int w, unsigned int h)
int(* | dirty )(Image_Entry *dst, const Image_Entry *src)
int(* | size_set )(Image_Entry *dst, const Image_Entry *src, unsigned int w, unsigned int h)
int(* | copied_data )(Image_Entry *dst, unsigned int w, unsigned int h, DATA32 *image_data, int alpha, Evas_Colorspace cspace)
int(* | data )(Image_Entry *dst, unsigned int w, unsigned int h, DATA32 *image_data, int alpha, Evas_Colorspace cspace)
int(* | color_space )(Image_Entry *dst, Evas_Colorspace cspace)
int(* | load )(Image_Entry *im)
| return is EVAS_LOAD_ERROR_* or EVAS_LOAD_ERROR_NONE!
int(* | mem_size_get )(Image_Entry *im)
void(* | debug )(const char *context, Image_Entry *im)